export interface Judge {
  id: string
  sso_id: string
  name: string
  mobile: string
  company: string
  sex: string
  province: string
  city: string
  area: string
  created_operator: string
  updated_operator: string
  created_time: string
  updated_time: string
  position: JudgePosition
  competition: JudgeCompetition
  check_count: 1
}
export interface JudgePosition {
  id: string
  label: string
  value: string
}
export interface JudgeCompetition {
  id: string
  name: string
}
export interface JudgeCreateParams {
  name: string
  mobile: string
  company: string
  sex: string
  position_id: string
  province: string
  city: string
  area: string
}

export type JudgeUpdateParams = JudgeCreateParams & { id: string }
